Ruby 2.0.0p247(2013-06-27revision41674)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields
yaml_simple_key_s Struct Reference
Parser Definitions

This structure holds information about a potential simple key. More...

`#include <yaml.h>`

## Data Fields
int | possible
| Is a simple key possible? More...
int | required
| Is a simple key required? More...
size_t | token_number
| The number of the token. More...
yaml_mark_t | mark
| The position mark. More...

## Detailed Description

This structure holds information about a potential simple key.

Definition at line 993 of file yaml.h.

## Field Documentation

yaml_mark_t yaml_simple_key_s::mark

The position mark.

Definition at line 1004 of file yaml.h.

Referenced by yaml_parser_fetch_value(), yaml_parser_remove_simple_key(), yaml_parser_save_simple_key(), and yaml_parser_stale_simple_keys().

int yaml_simple_key_s::possible

Is a simple key possible?

Definition at line 995 of file yaml.h.

Referenced by yaml_parser_fetch_more_tokens(), yaml_parser_fetch_value(), yaml_parser_remove_simple_key(), yaml_parser_save_simple_key(), and yaml_parser_stale_simple_keys().

int yaml_simple_key_s::required

Is a simple key required?

Definition at line 998 of file yaml.h.

Referenced by yaml_parser_remove_simple_key(), yaml_parser_save_simple_key(), and yaml_parser_stale_simple_keys().

size_t yaml_simple_key_s::token_number

The number of the token.

Definition at line 1001 of file yaml.h.

Referenced by yaml_parser_fetch_more_tokens(), yaml_parser_fetch_value(), and yaml_parser_save_simple_key().

The documentation for this struct was generated from the following file:

- ext/psych/yaml/yaml.h